Required and Supported Software and Hardware

Several factors contribute to determining the system requirements for your CIMPLICITY configuration.

Factors include the:

Number of points you are using.

Number of CIMPLICITY applications.

Number and size of log files.

Number and size of CimView (graphic) files.

Following are recommendations for base system requirements. It is strongly recommended that you do not use a system that goes below these requirements.

Make sure you check the Important Product Information document shipped with your release for any last-minute changes to these recommendations.

Supported operating systems.

Software requirements for CIMPLICITY.

Other software tested and supported for CIMPLICITY 8.0

Minimum recommended hardware for operating systems.

Important notes.

Supported operating systems

Supported operating systems

Any of the following operating systems, with specified service packs or revisions, fulfill the operating system minimum requirements for Proficy HMI SCADA CIMPLICITY 8.0.

The operating system requirements for a server and viewer are the same.

Review the next section for higher versions that have been tested and are supported; higher versions that are not listed are not supported

Operating System

OS Type

Qualified SP

Microsoft® Windows® Server 2008

Enterprise x86


Microsoft® Windows® Server 2008

Standard x86


Microsoft® Windows® Server 2003


SP2 or R2  SP2 + Windows Installer 3

Microsoft® Windows® Server 2003


SP1 or R2 SP1 + Windows Installer 3

Microsoft® Windows® Vista



Microsoft® Windows® Vista



Microsoft® Windows® Vista



Windows® XP


SP3 + Windows Installer 3


Only 32-bit versions of the above operating systems are qualified.

Windows Installer 3 or higher is required for all operating systems.

If your system does not have Windows Installer 3.0 installed, it can be found on the Proficy CIMPLICITY 8.0 CD.

The file and location are:

D:\Setup\Microsoft\WindowsInstaller\WindowsInstaller-KB893803-v2-x86.exe on the CIMPLICITY 8.0 CD.


D: is the CD drive.

Note: The installer is included with Windows 2003 Service Pack 2.

As was first announced with the Proficy HMI/SCADA CIMPLICITY 7.0 release, Windows 2000 is no longer supported starting with Proficy HMI/SCADA CIMPLICITY v7.5.

Software requirements for CIMPLICITY 8.0

Device communication interfaces enable CIMPLICITY to collect and modify data from factory devices. CIMPLICITY includes native device communication interfaces as well as an OPC Client that can be used in conjunction with OPC DA Servers.

Native drivers or OPC DA Servers support specific protocols and device models.  You should verify that the CIMPLICITY native device communication interface or the OPC DA server that you purchase is compatible with your hardware.  Contact your GE Fanuc Sales Representative or visit the GE Fanuc web site at for the latest list of drivers and hardware supported by device communication interfaces available from GE Fanuc.   

Internet Explorer 6.0 or higher.

Machine Edition Array Support requires Proficy Machine Edition 5.5 SP1 + SIM 6 or higher.

The Proficy Portal Automatic log in to WebView requires Proficy Portal 2.6 SIM iA26_199410712A or later.

Proficy Change Management requires Machine Edition 5.6 SIM 2 or higher.

Historian 3.0 DST SIM if Microsoft Windows XP or Windows 2003 updates for Daylight Savings Time adjustments are installed.


Other Software tested and Supported for use with CIMPLICITY 8.0

The following software has been tested and is supported for use with CIMPLICITY 8.0.

Operating Systems

Windows 2003 SP1 and R2


SQL 2000 SP4

SQL 2005 SP1

SQL 2005 Express SP1

Oracle 9i with DataDirect 5.1

Oracle 9i with OracleOraHome92 driver

Oracle 10g with Oracle in OraDB10g_home1 driver

Oracle client version is v9.2.08 or above.

Historian 3.1

Important: Software versions lower than the listed versions are not supported.

For Allen Bradley Communications, use RSLINX version (CPR 7).

Hardware Requirements for CIMPLICITY 8.0

A minimum recommended hardware and operating system requirements when you are running a base system.

Computer type


Minimum computer type

Pentium 4-based 1 GHz

For optimum performance

Pentium 4-based 3 GHz

Minimum recommended RAM

1 GB

Minimum recommended free hard disk

800 MB

Installation requirement

CD-ROM drive

Network communication and certain I/O drivers

NETBIOS-compatible or TCP/IP-compatible network interface adapter.

Note: Because Microsoft does not support NetBIOS on Windows XP or Windows Server 2003, CIMPLICITY installed on Windows XP or Windows Server 2003 also does not support NetBIOS.

Ethernet adapter

I/O hardware connections

One parallel port or free direct-connect USB port. (for license keys).

Some touch screens, pointing devices, and I/O drivers require a serial port.

Additional ports for I/O hardware.


SVGA or better color graphics monitor and a 100% IBM-compatible, 24-bit graphics card capable of 800x600 resolution and at least 65,535 colors.

Mouse/pointing device

Two-button mouse or compatible pointing device (such as a touch screen).


Other GE Fanuc products, such as Proficy Plant Applications, Proficy Historian, Proficy HMI/SCADA iFIX and Proficy Real-Time Information Portal, impose additional requirements. Refer to the Important Product Information (IPI) topic in the product's electronic books for specific system requirements. Click the System Req. tab in that product's IPI for details.

Microsoft Clustering Services requires Windows 2003 Enterprise Edition and hardware that Windows 2003 approves for clusters.

More information